<html>
	<head>
		<link rel="stylesheet" type="text/css" href="css/style.css">
	</head>
	<body>
		<div id="piechart" style="width: 900px; height: 500px;"></div>
		<div id="piechart2" style="width: 900px; height: 500px;"></div>
	</body>
	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
	<script>
		google.charts.load('current', {'packages':['corechart']});
		google.charts.setOnLoadCallback(drawChart);

		function drawChart() 
		{
			$.get("/student_lecture_logs/<%= user_id %>/<%= lecture_id %>", function(data, status)
			{
				
				var ctime = parseFloat(data.concentration_score_time)
				var ctype = parseFloat(data.concentration_score_type)
				console.log(ctime)
				console.log(ctype)
				
				var data = google.visualization.arrayToDataTable([['Concentraion','Time rate'],['Concentration',ctime],['Not concentration',100-ctime]]);
				var data2 = google.visualization.arrayToDataTable([['Concentraion','Type rate'],['Concentration',ctype],['Not concentration',100-ctype]]);
				var options1 = {
				title: 'Concentration time'
				};
				var options2 = {
				title: 'Concentration type'
				};
				var chart = new google.visualization.PieChart(document.getElementById('piechart'));
				var chart2 = new google.visualization.PieChart(document.getElementById('piechart2'));
				chart.draw(data, options1);
				chart2.draw(data2, options2);
			});
			
		}
		$(document).ready(function()
		{
			// First load the chart once 
			drawChart();
			// Set interval to call the drawChart again
			console.log('drawchart');
			setInterval(drawChart, 3000);
		});
		
		
	</script>
</html>